[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TWinBindings.ErrCode

Service specific error code

## Declaration

Source position: daemonapp.pp line 220

`public property TWinBindings.ErrCode : DWord read FErrCode write FErrCode;`

## Description

ErrCode contains a service specific error code that is reported with TCustomDaemon.ReportStatus to the windows service manager. If it is zero, then the contents of Win32ErrCode are reported. If it is nonzero, then the windows-errorcode is set to ERROR_SERVICE_SPECIFIC_ERROR.

## See also

TWinBindings.Win32ErrCode |  | General windows error code